-- background
-- ben@ioxu.com
-- blog.ioxu.com

background = class("backrgound")

function background:initialize(name, backgroundImagePath)
	self.name = name
	self.imagedata = love.image.newImageData(backgroundImagePath)
	self.image = love.graphics.newImage(self.imagedata)
	self.image:setWrap("repeat", "repeat")
	self.drawable = self.image
	self.quad = love.graphics.newQuad( 0, 0, 
		love.graphics.getWidth(),
		love.graphics.getHeight(),
		self.image:getWidth(),
		self.image:getHeight()
	)
end 

function background:draw(x, y, zoom)

	-- tiled bg
	local sc = zoom
	local isc = 1/sc
	--self.quad:setViewport( -x*isc,-y*isc,love.graphics.getWidth()*isc, love.graphics.getHeight()*isc )
	local ww = love.graphics.getWidth()
	local wh = love.graphics.getHeight()
	
	--self.quad:setViewport( -ww/2+x, -wh/2+y, ww/2+x,wh/2+y)
	--self.quad:setViewport( -ww/2-x, -wh/2-y, ww/2,wh/2)
	--self.quad:setViewport( -x*isc,-y*isc,love.graphics.getWidth()*isc, love.graphics.getHeight()*isc )
	
	
	
	--self.quad:setViewport( 0, 0, ww*isc,wh*isc)
	--self.quad:setViewport( 0, 0, ww,wh)
	self.quad:setViewport( 0, 0, 1000000,1000000)
	
	love.graphics.drawq(
		self.drawable,
		self.quad,
--		ww/2+x,
--		wh/2+y,
		-1000000/2,
		-1000000/2,
		0,
		1,
		1,
		0,
		0
	)
	
	-- origin
	love.graphics.setColor( 255,255,255,8 )
	--love.graphics.setLineWidth( 1 )
	love.graphics.circle( "fill", 0, 0, 32*isc, 32 )

end
